## Package org.springframework.beans.factory.access

Helper infrastructure to locate and access bean factories.

See:
Description

Interface Summary
BeanFactoryLocator: Defines a contract for the lookup, use, and release of a `BeanFactory`, or a `BeanFactory` subclass such as an `ApplicationContext`.
BeanFactoryReference: Used to track a reference to a `BeanFactory` obtained through a `BeanFactoryLocator`.

Class Summary
SingletonBeanFactoryLocator: Keyed-singleton implementation of `BeanFactoryLocator`, which accesses shared Spring `BeanFactory` instances.

Exception Summary
BootstrapException: Exception thrown if a bean factory could not be loaded by a bootstrap class.

## Package org.springframework.beans.factory.access Description

Helper infrastructure to locate and access bean factories.

Note: This package is only relevant for special sharing of bean factories, for example behind EJB facades. It is not used in a typical web application or standalone application.